Bug 1000429 (CVE-2013-2892) - CVE-2013-2892 Kernel: HID: pantherlord: heap overflow flaw
Summary: CVE-2013-2892 Kernel: HID: pantherlord: heap overflow flaw
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-2892
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20130829,repor...
Depends On: 1000433 1000435 1000436 1000437 1000438 1002570
Blocks: 1000424
TreeView+ depends on / blocked
 
Reported: 2013-08-23 12:40 UTC by Prasad J Pandit
Modified: 2019-06-08 19:41 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-10 08:33:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1490 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2013-10-31 20:23:39 UTC
Red Hat Product Errata RHSA-2013:1527 normal SHIPPED_LIVE Important: rhev-hypervisor6 security and bug fix update 2013-11-21 09:47:11 UTC
Red Hat Product Errata RHSA-2013:1645 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6 kernel update 2013-11-20 22:04:18 UTC

Description Prasad J Pandit 2013-08-23 12:40:20 UTC
Linux kernel built with the Human Interface Device(CONFIG_HID) bus support
along with the Pantherlord/GreenAsia game controller(CONFIG_HID_PANTHERLORD)
driver, is vulnerable to a heap overflow flaw. It could occur when an HID
device sends malicious output report to the kernel driver.

A local user with physical access to the system could use this flaw to crash
the kernel resulting in DoS or potential privilege escalation to gain root
access via arbitrary code execution.

Comment 1 Prasad J Pandit 2013-08-23 12:44:46 UTC
Statement:

This issue does not affect the version of the kernel package as shipped with Red Hat Enterprise Linux 5.

This issue affects the versions of Linux kernel as shipped with Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2. Future kernel updates for Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2 may address this issue.

Note: user would need physical access to the system to exploit this issue.

Comment 5 Prasad J Pandit 2013-08-29 13:05:06 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1002570]

Comment 6 Fedora Update System 2013-09-13 01:04:41 UTC
kernel-3.10.11-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2013-09-16 00:26:35 UTC
kernel-3.10.11-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 John Kacur 2013-09-30 20:47:52 UTC
commit 412f30105ec6735224535791eed5cdc02888ecb4 upstream

Comment 9 errata-xmlrpc 2013-10-31 16:27:18 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:1490 https://rhn.redhat.com/errata/RHSA-2013-1490.html

Comment 10 errata-xmlrpc 2013-11-21 19:59:36 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:1645 https://rhn.redhat.com/errata/RHSA-2013-1645.html

Comment 11 errata-xmlrpc 2013-11-22 00:36:55 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2013:1527 https://rhn.redhat.com/errata/RHSA-2013-1527.html


Note You need to log in before you can comment on or make changes to this bug.